CoCoALib - Feature #3836

SmallFplmpl: export fns for a fixed convention
10 Dec 2015 18:16 - John Abbott

Status: Closed Start date: 10 Dec 2015
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: New Function Estimated time: 0.33 hour
Target version: CoCoALib-0.99540 Feb 2016 Spent time: 0.30 hour
Description

| found a case where | needed to obtain the least non-negative residue from a SmallFplmpl::value. Doing this via myExport is
clumsy.

Add new fns myExportNonNeg and myExportSymm which state explicitly the convention to use.

History

#1 - 10 Dec 2015 18:19 - John Abbott

- Status changed from New to Feedback
- % Done changed from 0 to 90

- Estimated time set to 0.33 h

It was quite trivial to add the new fns. | have updated the doc too.
Should there be a specific test?

Should impl of myExport be revised to call either myExportNonNeg or myExportSymm depending on the internal flag? Such an impl would be easier
to read, but would probably also be a bit slower than the current (less obvious) impl.

#2 - 23 Mar 2016 15:10 - John Abbott
- Status changed from Feedback to Closed
- % Done changed from 90 to 100
